Gönderen Konu: [Nasıl] 64 bit Flash kurulumu  (Okunma sayısı 30589 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« Yanıtla #1 : »
Not0: Ubuntu'nun şu anki son sürümü olan 11.10'u kullananların 64bit Flash paketi için aşağıdaki şekilde uğraşmasına gerek yok. Depolardaki 11.x sürümü 64bit desteğine sahiptir.

Not1: Bu anlatım 64 bit kurulu olan sistemler ve 11.10 sürümüden öncesi için geçerlidir!

İki alternatifimiz mevut.

1. Sevenmachines deposu.
Mevcut Flash paketlerini kaldırın:
Kod: [Seç]
sudo apt-get purge flashplugin-nonfree flashplugin-installer
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper

Ardından şunu uygulayın:
Kod: [Seç]
sudo add-apt-repository ppa:sevenmachines/flash
sudo apt-get update
sudo mkdir /usr/lib/kde4/
sudo apt-get install flashplugin64-installer


2. Elle kurulum
Başlarken: Açıkça söylemem gerekirse bu yöntemi uzun bir süre test edemedim.
Not: Artık uzun süredir test etmiş bulunmaktayım. Yöntem gayet sağlıklı çalışmakta.

Arada sırada olsa da video sitelerinde Flash ile sorun yaşamaktaydım. Bazen videolar sorun yapabiliyordu, Firefox'u yeniden başlatarak zaten nadiren yaşadığım bu sorunları aşıyordum. Bu gece gördüğüm bir başlıkta verilen http://webdeyim.net/tr/e_dergi/ubuntu-turkiye/sudo/ bağlantısında sorun yaşadım. Sayfalar çevrilmiyor, dergi sayıları gelmiyordu. Ancak sağ tıklayıp Oynat dediğimde çalışıyordu. Ayrıca alttaki düğmeler de çalışmıyordu. Fırsat bu fırsat diyerek 64 bit'i denemeye karar verdim.

Uzun bir süre denemediğim için tam neticeyi yazamasam da dergi ile ilgili olan bağlantıda sorunumu çözdü. Ayrıca Youtube, Dailymotion gibi sitelerde de sorun yok. Denemek isteyenler için aşamaları yazıyorum.

1.
Kod: [Seç]
wget http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_2_p3_64bit_linux_111710.tar.gz
2.
Kod: [Seç]
sudo apt-get purge flashplugin-nonfree flashplugin-installer
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper

3.
Kod: [Seç]
tar zxf flashplayer10_2_p3_64bit_linux_111710.tar.gz
mkdir ~/.mozilla/plugins
mv libflashplayer.so ~/.mozilla/plugins/

Firefox'u kapatıp, tekrar açalım. Flash'ın çalışıp çalışmadığını kontrol edelim:
http://www.adobe.com/shockwave/welcome

Sol tarafta Flash animasyonunu görüyor ve sesi duyuyorsanız sorun yok demektir.


Kaynak:
http://profarius.com/content/64bit-java-flash-deathroll

Aynı kaynakta Java için de bir anlatım mevcut. Onun da anlatımını bir ara yapalım.
« Son Düzenleme: 16 Ekim 2011 - 15:28:33 Gönderen: heartsmagic »
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #25 : »
Belki Chromium Firefox standar geldiği için flash uygulamasını plugins klasöründe arıyordur.

.so dosyasıyla ilgili yaptıklarının doğru olması gerek, evet mantık klasör oluşturmaktan ibaret.

Gerçi sen bakmışsındır ama yine de gözden kaçmış olabilir diye belirteyim: Firefox'da eklentiler/yan uygulamalarda flash etkin görünüyor mu daha doğrusu flash var mı?
« Son Düzenleme: 22 Aralık 2009 - 03:54:54 Gönderen: zeitgeist »
Özgürlüğü ne kadar anlarsan o kadar az sahip olursun. John Fowles

« Yanıtla #26 : »
Sistemin 64bit mi?
Kod: [Seç]
uname -a ne diyor?
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #27 : »
Rehberde galiba küçük bir yanlışlık olmuş, libflashplayer.so dosyası /usr/lib/mozilla/plugins/ altında olması gerekiyor, ~/.mozilla/plugins altına değil.
En azından benim sistemde böyle değil. :)

Önce bi arayalım bu dosya nerelerde var, sonrası kolay.
Kod: [Seç]
sudo find / -name libflashplayer.so
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #28 : »
@zeitgeist, FireFox altındaki eklentilerde Flash var fakat etkin değilmiş, etkinleştirdim şimdi çalışıyor =)

of of. utandım şimdi kendimden, kusura bakmayın yahu. teşekkür ederim önerileriniz için, şimdi düzeldi.
« Son Düzenleme: 22 Aralık 2009 - 17:54:01 Gönderen: AlmaMorena »
If you should go skating on the thin ice of modern life, dragging behind you the silent reproach of a million tear-stained eyes, don't be surprised when a c rack in the ice appears under your feet. You slip out of your depth and out of your mind with your fear flowing out behind you as you claw the thin ice.

« Yanıtla #29 : »
 :) @AlmaMorena,

Gözden kaçıyor bazen böyle ayrıntılar, sık sık benim de başıma geliyor.
Özgürlüğü ne kadar anlarsan o kadar az sahip olursun. John Fowles

« Yanıtla #30 : »
Rehberde galiba küçük bir yanlışlık olmuş, libflashplayer.so dosyası /usr/lib/mozilla/plugins/ altında olması gerekiyor, ~/.mozilla/plugins altına değil.
En azından benim sistemde böyle değil. :)

Önce bi arayalım bu dosya nerelerde var, sonrası kolay.
Kod: [Seç]
sudo find / -name libflashplayer.so

Bende ~/.mozilla/plugins altında ve çalışmakta. En fazla ikinci bir kullanıcı olursa o bu nimetten yararlanamaz :)
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #31 : »
Hımm.. sorun yok yani   :)
Bir şey daha öğrenmiş olduk böylelikle, kolay gelsin.
Maceraya hazır mısın!  Bir BSD almaz mısın?

hocam videoları izlerken donma veya flash oyunlarda donma gibi bir sorun varmı
Ne Mutlu Atatürk'e Laik Olabilene !

hocam videoları izlerken donma veya flash oyunlarda donma gibi bir sorun varmı

Soru genel mi, 64 bit için mi?
Sanırım genel soruyorsun. Açtığın başlıkta da söylediğim gibi durum ne yazık ki sana özel.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

belki benim kullandıgım açık kaynak kodlu flash player bozuk olabilirde

driver'da sorun yokmuş 2 3 tane oyun kurdum open gl tabanlı kasmadan çalıştırdı

flash player neden kasıyor acaba
Ne Mutlu Atatürk'e Laik Olabilene !

Çift başlıktan devam ediyoruz :) Sen buradaki anlatımı bir dene bakalım, umarım sorun çözülür.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

Hayır 64bit daha fazla kaynak tüketmez.
Ben bundan pek emin değilim, zira win7 dahil bütün 64bit denemelerimde daha fazla ram ve CPU harcandığına şahit oldum.
Anyone who has never made a mistake has never tried anything new.
Albert Einstein.

Windows'u bilemem ancak ben Ubuntu altında ne bellek ne de işlemci kullanım fazlalığı görmedim 64bit üzerinde.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

Windows'u bilemem ancak ben Ubuntu altında ne bellek ne de işlemci kullanım fazlalığı görmedim 64bit üzerinde.

aksine sistem çok daha verimli ve rahat çalışıyor diyebilirim, özellikle işlemci yoğun işler yapıyorsanız -ağır hesaplamalar, sıkıştırma, vs gibi- daha rahat çalıştığını göreceksiniz.

Lucid Lynx 10.04 üzerinde flash'ı sorunsuz kurabilmiş olan var mı acaba? 32bit'te hiç sıkıntım yoktu, ancak 64bit'e geçtim -4 GB RAM- ve flash yine gitti.

Lucid Lynx 10.04 üzerinde flash'ı sorunsuz kurabilmiş olan var mı acaba? 32bit'te hiç sıkıntım yoktu, ancak 64bit'e geçtim -4 GB RAM- ve flash yine gitti.

Yükseltmeyle geçtim ve 64bit flash'ta sorun yaşamıyorum. Ancak taze kurulumu bilemiyorum.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

Benim gibi üşengeç arkadaşlar Ubuntu Tweak - Kaynak Merkezi yoluyla Adobe Flash x64 ppa'sını kullanabilirler ;D Ayrıca 64 bit üzerinde depodan flash kurulmasını tavsiye etmiyorum. Depodan kurulan sürüm 32 bit olduğu için, ara katman kullanıyor ve işlemciye aşırı yük bindiriyor.

Lucid Lynx kullanıcısı olarak bende bu çözümün çalıştığını onaylıyorum arkadaşlar. (Taze kurulum)
İlk mesajda söylenenler harfiyen uygulandığında flash player sorunsuz olarak çalışmaya başlıyor..

Teşekkürler anlatım için.

İlk iletideki flaş sürümü biraz eski kalmış son güncel sürüm için:

http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz

Hmm.. Tabii onu hiç kontrol etmeden yüklemiş bulundum.. Şimdi en baştan itibaren indirme linki olarak verdiğiniz linki kullanıp tekrar temiz bir kurulum yapabilir miyim yoksa kurcalarsam bozar mıyım acaba?

Baştan yapılmasına gerek yok. Kısaca yapmanız gereken   /home/kullanıcı_adı/.mozilla/plugins dizinindeki eski libflashplayer.so dosyasını silip,  yeni indirilen libflashplayer.so dosyasını eklemek.

Tabi bu işlem sırasında Firefox kapalı olsun.

@ironic, teşekkürler güncelleme uyarısı için. İlk iletiyi düzenledim ben de böylece.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

@sessizce evet yeterli.
Peki 64bit'le nerelerde ne gibi sorunlar yaşadın?

Anlatımı 64 bit Lucid ile uyguladım.
Sorunsuz çalıştı.
Teşekkürler paylaştığınız için.

Lucid geri bildirimi için teşekkürler @Irmak.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

10.04 için de mi bunları yapmalıyız? 10.04 de flash 64 bitlik sürümüyle gelmiyor mu?

10.04 için de mi bunları yapmalıyız? 10.04 de flash 64 bitlik sürümüyle gelmiyor mu?

Bana gelen giden olmamıştı.
Sizde durum nedir bilemiyorum :)